## kibana 0.2.0+35+g40f2512+3

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyrigth: 2006-2013 Instituto Superior Técnico
# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>

# License: GPL2+ with OpenSSL exception


# "based" on template Makefile for most debian packages version 0.20

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif


# main
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack debian/stamp-patched configure-up-stamp
configure-up-stamp:
	touch configure-up-stamp


build:configure build-up-stamp 
build-up-stamp:
	touch build-up-stamp


install:build install-up-stamp
install-up-stamp:
	# Using shell
	# [ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
	# [ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
	# cd src; cp -r . $(DESTDIR)$(LIBDIR)
	# mv $(DESTDIR)$(LIBDIR)/KibanaConfig.rb $(DESTDIR)$(ETCDIR)
	# ln -s $(ETCDIR)/KibanaConfig.rb $(DESTDIR)$(LIBDIR)/KibanaConfig.rb

	touch install-up-stamp


clean:
	make unpatch || rm debian/stamp-patched
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb




# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack

=== debian/changelog ===
kibana (0.2.0+35+g40f2512+3-1) wheezy; urgency=low

  * Preparations for wide publication.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 14 Jan 2013 18:07:39 +0000

kibana (0.2.0+35+g40f2512+2-1) squeeze; urgency=low

  * Upload to repository deb-ppa.calhariz.com and debian.ist.utl.pt.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 14 Jan 2013 17:30:27 +0000

kibana (0.2.0+35+g40f2512+1-2) squeeze; urgency=low

  * Fix typos.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 14 Jan 2013 17:15:38 +0000

kibana (0.2.0+35+g40f2512-1) squeeze; urgency=low

  * First release

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Thu, 10 Jan 2013 19:32:08 +0000

deb-template (0.19~rc1) unstable; urgency=low

  * Many changes no registered here, between 0.12 and 0.18
  * Update year in copyright file
  * Update distribution to squeeze
  * New REPOSTARGET value

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 05 Apr 2012 12:59:05 +0100

deb-template (0.11) unstable; urgency=low

  * Add an example of a litian override on unknown-section taguspark

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 29 Aug 2011 17:52:13 +0100

deb-template (0.10) unstable; urgency=low

  * Update to examples files from dh_make v0.46

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 14 Apr 2011 21:32:50 +0100

deb-template (0.9) unstable; urgency=low

  * Fix on creating dist.tar.gz for Non native package
  * Create subdirectories as need in tag subdirectories, needed when
    tagging a release for a new packages.
  * Increase version of Makefile to 0.17

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 17 Mar 2011 14:47:49 +0000

deb-template (0.8-1) unstable; urgency=low

  * Updated Makefile for version 0.16
  * DISTFILE and DISTFILES have the sources and diff files that makes a
    source for a debian package version 1.0.
  * Updated the rules dist and tag using the above files.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 22 Feb 2011 01:17:44 +0000

deb-template (0.7-1) unstable; urgency=low

  * Updated Makefile for version 0.15
  * Experimental code for creating distribution files valid for native and
    non-native packages with only one rule.
  * Tag archive file on the end of dist rule.
  * Rework the way the tag are done with svn.  Only copy the packages
    files, not the unpacked sources.  Because this don't work as was
    expected:
    * Tagging by copy of the basename didn't allow for easy and quick
    braching or keeping files for reference inside the trunk directory.
    * When using externals the tag with the unpacked source is not frozen
    in time.  It get what updates are in the externals.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 20 Feb 2011 00:06:04 +0000

deb-template (0.6-1) unstable; urgency=low

  * Drafted changes on copyright for following DEP5.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Feb 2011 23:50:53 +0000

deb-template (0.5-1) unstable; urgency=low

  * Many changes

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Dec 2010 20:30:27 +0000

deb-template (0.4-1) unstable; urgency=low

  * use varible to indicate repository directory for dropping the files

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  2 Jun 2009 08:05:50 +0100

deb-template (0.3-1) unstable; urgency=low

  * changes on what files are added to SVN during tagging a new version

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sat,  4 Apr 2009 23:25:52 +0100

deb-template (0.2-1) unstable; urgency=low

  * command read wihout a variable is a bashism
  * I don't append the version of software to the base directory
  * tag the makefile with a version, to be easier to check if the
    derivatives are updated

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 20 Aug 2008 13:17:40 +0100

deb-template (0.0-1) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue,  8 Nov 2005 15:51:17 +0000

=== debian/control ===
Source: kibana
Section: admin
Priority: extra
Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.50~), quilt
Standards-Version: 3.8.4
Homepage: http://kibana.org
#Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary

Package: kibana
Architecture: all
Depends: ruby, ruby-tzinfo, ruby-daemons, ruby-sinatra, rubygems,
 ${shlibs:Depends}, ${misc:Depends},
Description: is a user friendly way to view your log data.
 Every event under one roof
 .
 You have logs. Billions of lines of data. You shipped, dated it,
 parsed it and stored it. And you used Logstash to do it. Now what do
 you do with it? Now you make sense of it. See everything you want,
 and nothing you don't. Chart it and rank it and play with the
 numbers. Kibana helps you do that. Kibana is a highly scalable
 interface for Logstash and ElasticSearch that allows you to
 efficiently search, graph, analyze and otherwise make sense of a
 mountain of logs
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

#  "based" on template debian/rules for most debian packages version 0.16~rc1

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PACKAGE=$(shell dh_listpackages)

# Variabels used by the Debian Maintainer exclusively for package
# development.
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
MDIST=lenny
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=non-free
CATEG=my_sources
CATEG=other_sources
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make configure
	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) build
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

DESTDIR=$(CURDIR)/debian/$(PACKAGE)
LIBDIR=/usr/lib/$(PACKAGE)
ETCDIR=/etc/$(PACKAGE)

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 

	[ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
	[ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
	cd src; cp -r . $(DESTDIR)$(LIBDIR)
	rm $(DESTDIR)$(LIBDIR)/.gitignore 
	rm $(DESTDIR)$(LIBDIR)/LICENSE.md
	rm $(DESTDIR)$(LIBDIR)/README.md

	mv $(DESTDIR)$(LIBDIR)/KibanaConfig.rb $(DESTDIR)$(ETCDIR)
	ln -s $(ETCDIR)/KibanaConfig.rb $(DESTDIR)$(LIBDIR)/KibanaConfig.rb

	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/css/images/* 
	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/js/lib/*
	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/font/*

	chmod a+x $(DESTDIR)$(LIBDIR)/kibana-daemon.rb



# Build architecture-independent files here.
#binary-indep: build install
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Check variabels used by the Debian Maintainer exclusively for
# package development.
vars:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
	echo $(REPOSTARGET)
	echo $(REPOSARCH)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)




# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; svn ci -m "released v$(DEBVER)"
	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## kibana 0.2.0+35+g40f2512+6

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.20
+# "based" on template Makefile for most debian packages version 0.24
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -48,10 +48,6 @@
 endif
 
 
-# main
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
-
-
 all:
 	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
@@ -74,9 +70,17 @@
 	touch configure-up-stamp
 
 
-build:configure build-up-stamp 
-build-up-stamp:
-	touch build-up-stamp
+build-arch: configure build-arch-up-stamp
+build-arch-up-stamp:
+	touch build-arch-up-stamp
+
+
+build-indep: configure build-indep-up-stamp
+build-indep-up-stamp:
+	touch build-indep-up-stamp
+
+
+build: build-arch build-indep
 
 
 install:build install-up-stamp
@@ -95,7 +99,7 @@
 	make unpatch || rm debian/stamp-patched
 	find -name '*~' -exec rm {} \;
 	rm -rf $(ZIPDIR) untar build-dir
-	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
+	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
 
 
 # Create the files ready for distribution, need to be run in a dir
@@ -138,7 +142,9 @@
 packages: deb
 
 
-
+# Upload the packages and the distribution files into the rigth places
+upload:	
+	make -f ../upload upload
 
 # Make tags of the sources as documented by subversion
 tag:

=== debian/changelog ===
kibana (0.2.0+35+g40f2512+6-2) wheezy; urgency=low

  * Fix init.d status.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Jun 2013 12:22:55 +0100

kibana (0.2.0+35+g40f2512+6-1) wheezy; urgency=low

  * Add missing dependency on ruby-fastercsv.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Jun 2013 11:06:08 +0100

kibana (0.2.0+35+g40f2512+5-1) wheezy; urgency=low

  * Updated Makefile and debian/rules to version 0.24
  * Start using jquery.min.js from libjs-jquery instead of bundled
    version.
  * Add an explanation to README.source about bundled JavaScript
    libraries.
  * Add lintian override about jquery.history.js

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Mon, 11 Feb 2013 16:31:49 +0000

kibana (0.2.0+35+g40f2512+4-1) wheezy; urgency=low

  * Add build-arch and build-indep rules to Makefile and debian/rules.
  * Install everything under /usr/share.
  * Add to init.d dependency on $remote_fs
  * Bump Standars-Version to 3.9.3, no changes were made.
  * Don't install Rakefile.
  * Don't install upstream LICENSE.md
  * Create a proper README.Debian.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Sun, 03 Feb 2013 11:15:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: kibana
 Section: admin
 Priority: extra
-Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
+Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 Build-Depends: debhelper (>= 7.0.50~), quilt
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://kibana.org
 #Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary
 
 Package: kibana
 Architecture: all
-Depends: ruby, ruby-tzinfo, ruby-daemons, ruby-sinatra, rubygems,
+Depends: ruby, ruby-tzinfo, ruby-daemons, ruby-sinatra, ruby-fastercsv, 
+ rubygems,
+ libjs-jquery (>= 1.7.1~), 
  ${shlibs:Depends}, ${misc:Depends},
 Description: is a user friendly way to view your log data.
  Every event under one roof

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-#  "based" on template debian/rules for most debian packages version 0.16~rc1
+#  "based" on template debian/rules for most debian packages version 0.24
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -23,7 +23,7 @@
 SECTION=non-free
 CATEG=my_sources
 CATEG=other_sources
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
+
 
 
 CFLAGS = -Wall -g
@@ -35,13 +35,34 @@
 endif
 
 
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	make configure
+	$(MAKE) configure
 	touch configure-stamp
+
+
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-arch
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
+
+
+build-indep: build-indep-stamp
+build-indep-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-indep
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
 
 
 build: build-stamp
@@ -66,6 +87,7 @@
 
 DESTDIR=$(CURDIR)/debian/$(PACKAGE)
 LIBDIR=/usr/lib/$(PACKAGE)
+SHAREDIR=/usr/share/$(PACKAGE)
 ETCDIR=/etc/$(PACKAGE)
 
 install: build
@@ -78,21 +100,26 @@
 	# Add here commands to install the package into debian/$(PACKAGE).
 	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE) install 
 
-	[ -d $(DESTDIR)$(LIBDIR) ] || mkdir -p $(DESTDIR)$(LIBDIR)
-	[ -d $(DESTDIR)$(ETCDIR) ] || mkdir -p $(DESTDIR)$(ETCDIR)
-	cd src; cp -r . $(DESTDIR)$(LIBDIR)
-	rm $(DESTDIR)$(LIBDIR)/.gitignore 
-	rm $(DESTDIR)$(LIBDIR)/LICENSE.md
-	rm $(DESTDIR)$(LIBDIR)/README.md
-
-	mv $(DESTDIR)$(LIBDIR)/KibanaConfig.rb $(DESTDIR)$(ETCDIR)
-	ln -s $(ETCDIR)/KibanaConfig.rb $(DESTDIR)$(LIBDIR)/KibanaConfig.rb
-
-	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/css/images/* 
-	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/js/lib/*
-	chmod a-x $(DESTDIR)$(LIBDIR)/static/lib/font/*
-
-	chmod a+x $(DESTDIR)$(LIBDIR)/kibana-daemon.rb
+	[ -d $(DESTDIR)$(LIBDIR) ]  || mkdir -p $(DESTDIR)$(LIBDIR)
+	[ -d $(DESTDIR)$(SHAREDIR) ] || mkdir -p $(DESTDIR)$(SHAREDIR)
+	[ -d $(DESTDIR)$(ETCDIR) ]  || mkdir -p $(DESTDIR)$(ETCDIR)
+	cd src; cp -r . $(DESTDIR)$(SHAREDIR)
+	rm $(DESTDIR)$(SHAREDIR)/.gitignore 
+	rm $(DESTDIR)$(SHAREDIR)/LICENSE.md
+	rm $(DESTDIR)$(SHAREDIR)/README.md
+	rm $(DESTDIR)$(SHAREDIR)/Rakefile
+
+	mv $(DESTDIR)$(SHAREDIR)/KibanaConfig.rb $(DESTDIR)$(ETCDIR)
+	ln -s $(ETCDIR)/KibanaConfig.rb $(DESTDIR)$(SHAREDIR)/KibanaConfig.rb
+
+	chmod a-x $(DESTDIR)$(SHAREDIR)/static/lib/css/images/* 
+	chmod a-x $(DESTDIR)$(SHAREDIR)/static/lib/js/lib/*
+	chmod a-x $(DESTDIR)$(SHAREDIR)/static/lib/font/*
+
+	chmod a+x $(DESTDIR)$(SHAREDIR)/kibana-daemon.rb
+
+	rm $(DESTDIR)$(SHAREDIR)/static/lib/js/lib/jquery.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js $(DESTDIR)$(SHAREDIR)/static/lib/js/lib/jquery.min.js
 
 
 
@@ -144,17 +171,30 @@
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
 
 
-
-
 # Make tags of the sources as documented by subversion
 tag:
-	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
+	cd .. ; svn add $(DISTFILES) ;\
+		echo $(PWD)
+	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+			$(SOURCENAME)_$(DEBVER)_*.build \
+			$(SOURCENAME)_$(DEBVER).dsc
 	cd .. ; svn add *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; svn ci -m "released v$(DEBVER)"
-	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i
+	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb
+	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb \
+		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	debchange -i "New release"
 
 
 binary: binary-indep binary-arch
